# AppArmor profile for ae-apache
# {{ ansible_managed }}

#include <tunables/global>

profile ae-apache {

  #include <ae-dir/abstractions/base>
  #include <ae-dir/abstractions/nameservice>

  capability net_bind_service,

  # Allow unconfined processes to send us signals by default
  signal (receive) peer=unconfined,
  # Allow us to signal ourselves
  signal peer=@{profile_name},

  # access to dynamically loadable modules
{% for mod in apache2_config.modules %}
  {{ apache2_config.mod_dir }}/mod_{{ mod }}.so rm,
{% endfor %}
{% if apache_status_urlpath %}
  {{ apache2_config.mod_dir }}/mod_status.so rm,
{% endif %}

  # access to config files
  {{ apache_conf }} r,
  /etc/mime.types r,

{% if apache_pid_file!="" %}
  # the PID file
  {{ apache_pid_file }} rw,
{% endif %}

  # allow r/w access to SSL session cache
  {{ apache2_config.run_dir }}/ssl_scache rw,

  # allow r/w access to access log file
  {{ apache_access_log }} rw,

  # access to TLS-related files
  {{ apache_cacert_pathname }} r,
  {{ apache_cert_pathname }} r,
  {{ apache_key_pathname }} r,

  # access to static htdocs/ files
  {{ aedir_htdocsdir }}/** r,

  # access to web2ldap's static CSS files
  {{ web2ldapcnf_prefix }}/css/*.css r,

  # access to UWSGI's Unix domain sockets
  {{ aedir_rundir }}/uwsgi/web2ldap/web2ldap.sock r,
  {{ aedir_rundir }}/uwsgi/ae-dir-pwd/ae-dir-pwd.sock r,
  {{ aedir_rundir }}/uwsgi/oathenroll/oathenroll.sock r,

}
